| Home | Libraries | People | FAQ | More

## Function set_postcondition_failure

boost::contract::set_postcondition_failure — Set failure handler for postconditions.

## Synopsis

    // In header: <boost/contract/core/exception.hpp>

    from_failure_handler const &
    set_postcondition_failure(from_failure_handler const & f);

## Description

Set a new failure handler and returns it.

Throws: This is declared `noexcept` (or `throw()` before C++11).

See Also:

Throw on Failure, Postconditions

Parameters: |
`f` | New failure handler functor to set.
Returns: | Same failure handler functor `f` passed as parameter (e.g., for concatenating function calls).